Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Interface ChangeTable.Changer

All Known Implementing Classes:
  ChangeTable.ChainedChanger, RegexChanger

Enclosing class:
  ChangeTable

    public static interface ChangeTable.Changer

Callback used to produce a new value from an old one.

Since:
  1.3
Author:
  Matthew Pocock

Method Summary
`Object` | `change(Object value)` Produce a modified value from an old value.

Method Detail

### change

    Object change(Object value)
                  throws ParserException

  Produce a modified value from an old value.

  It is strongly recommended that this method is re-entrant and does not modify the state of the Changer in a way that would affect future return -values.

  Parameters:
    `value` - the old value Object
  Returns:
    the new value Object
  Throws:
    `ParserException` - if value could not be changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD